Executions

Get an execution

GET/v1/applications/{applicationId}/executions/{executionId}

Return the execution identified by executionId, using the access token for its connection.

Authorization

connectionToken
AuthorizationBearer <token>

The connection access token from POST /v1/oauth/token.

In: header

Path Parameters

applicationId*string

The application id, which is also the OAuth client_id.

Formatuuid
executionId*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/executions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "execution": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "QUEUED",    "terminal": {      "status": "verified",      "reason": "string"    },    "prompt": "string",    "start_url": "string",    "output_schema": {},    "result": {      "final_text": "string",      "final_url": "string",      "final_title": "string",      "extracted": null,      "evidence": {        "urls": [          "string"        ],        "verifier": {          "agreed": true,          "reason": "string"        },        "side_effects": [          {}        ]      }    },    "error": {      "code": "string",      "message": "string"    },    "usage": {      "credits": 0,      "charged": true    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }}